> ## Documentation Index
> Fetch the complete documentation index at: https://docs.asksurf.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# DeFi Protocol Ranking



## OpenAPI

````yaml openapi.json GET /gateway/v1/project/defi/ranking
openapi: 3.1.0
info:
  title: Hermod
  version: 0.0.1
servers:
  - url: https://api.asksurf.ai
security: []
paths:
  /gateway/v1/project/defi/ranking:
    get:
      tags:
        - Project
      summary: DeFi Protocol Ranking
      description: |-
        Returns top DeFi projects ranked by a protocol metric.

        **Available metrics:** `tvl`, `revenue`, `fees`, `volume`, `users`.
      operationId: project-defi-ranking
      parameters:
        - description: >-
            Ranking metric. Can be `tvl`, `revenue`, `fees`, `volume`, or
            `users`.
          explode: false
          in: query
          name: metric
          required: true
          schema:
            description: >-
              Ranking metric. Can be `tvl`, `revenue`, `fees`, `volume`, or
              `users`.
            enum:
              - tvl
              - revenue
              - fees
              - volume
              - users
            examples:
              - tvl
            type: string
        - description: Results per page
          explode: false
          in: query
          name: limit
          schema:
            default: 20
            description: Results per page
            examples:
              - 20
            format: int64
            maximum: 100
            minimum: 1
            type: integer
        - description: Pagination offset
          explode: false
          in: query
          name: offset
          schema:
            default: 0
            description: Pagination offset
            examples:
              - 0
            format: int64
            minimum: 0
            type: integer
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DataResponseProjectTopRankItem'
          description: OK
        default:
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DataAPIError'
          description: Error
      security:
        - AccessToken: []
components:
  schemas:
    DataResponseProjectTopRankItem:
      additionalProperties: false
      properties:
        $schema:
          description: A URL to the JSON Schema for this object.
          examples:
            - https://example.com/schemas/DataResponseProjectTopRankItem.json
          format: uri
          readOnly: true
          type: string
        data:
          items:
            $ref: '#/components/schemas/ProjectTopRankItem'
          type:
            - array
            - 'null'
        meta:
          $ref: '#/components/schemas/OffsetMeta'
      required:
        - data
        - meta
      type: object
    DataAPIError:
      additionalProperties: false
      properties:
        $schema:
          description: A URL to the JSON Schema for this object.
          examples:
            - https://example.com/schemas/DataAPIError.json
          format: uri
          readOnly: true
          type: string
        error:
          $ref: '#/components/schemas/DataAPIErrorDetail'
      required:
        - error
      type: object
    ProjectTopRankItem:
      additionalProperties: false
      properties:
        fees:
          format: double
          type: number
        logo_url:
          description: Project logo image URL
          type: string
        name:
          type: string
        revenue:
          format: double
          type: number
        symbol:
          type: string
        tvl:
          format: double
          type: number
        users:
          format: int64
          type: integer
        volume:
          format: double
          type: number
      required:
        - name
      type: object
    OffsetMeta:
      additionalProperties: false
      properties:
        cached:
          description: Whether this response was served from cache
          type: boolean
        credits_used:
          description: Credits deducted for this request
          format: int64
          type: integer
        limit:
          description: Maximum number of items returned in this response
          format: int64
          type: integer
        offset:
          description: Number of items skipped (pagination offset)
          format: int64
          type: integer
        total:
          description: >-
            Total number of matching items (before pagination). Omitted when
            total is unknown.
          format: int64
          type: integer
      required:
        - limit
        - offset
        - credits_used
        - cached
      type: object
    DataAPIErrorDetail:
      additionalProperties: false
      properties:
        code:
          type: string
        message:
          type: string
      required:
        - code
        - message
      type: object

````